%define name	lire
%define version	2.0.1
%define release	1mdk

Summary:	A log analyser supporting many log formats
Name:		%{name}
Version:	%{version}
Release:	%{release}
URL:		http://www.logreport.org/
License:	GPL
Group:		Monitoring
Source0:	http://download.logreport.org/pub/%{name}-%{version}.tar.gz
Source1:	http://download.logreport.org/pub/%{name}-%{version}.tar.gz.asc
Source2:	lire.crontab
Source10:	lire-2.0.1-mdk-bind.cfg.bz2
Source11:	lire-2.0.1-mdk-cups.cfg.bz2
Source12:	lire-2.0.1-mdk-httpd-perl.cfg.bz2
Source13:	lire-2.0.1-mdk-httpd.cfg.bz2
Source14:	lire-2.0.1-mdk-iptables.cfg.bz2
Source15:	lire-2.0.1-mdk-mysql.cfg.bz2
Source16:	lire-2.0.1-mdk-postfix.cfg.bz2
Source17:	lire-2.0.1-mdk-postgresql.cfg.bz2
Source18:	lire-2.0.1-mdk-proftpd.cfg.bz2
Source19:	lire-2.0.1-mdk-spamassassin.cfg.bz2
Source20:	lire-2.0.1-mdk-squid.cfg.bz2
Source21:	lire-2.0.1-mdk-syslog.cfg.bz2
PreReq:		perl-%{name} = %{version}
PreReq:		rpm-helper
BuildRequires:	docbook-dtd412-xml
BuildRequires:	docbook-style-dsssl
BuildRequires:	docbook-style-xsl
BuildRequires:	ghostscript
BuildRequires:	jadetex
BuildRequires:	libxslt-proc
BuildRequires:	openjade
BuildRequires:	perl-Curses-UI
BuildRequires:	perl-DBD-SQLite2
BuildRequires:	perl-Time-modules
BuildRequires:	perl-XML-Parser
BuildRequires:	perl-devel
BuildRequires:	perl-libintl-perl
BuildRequires:	ploticus
BuildRequires:	tetex-dvips
BuildRequires:	tetex-latex
Requires:	expat >= 1.95.6
#Requires:	perl-MIME-tools
Requires:	docbook-dtd412-xml
Requires:	docbook-style-dsssl
Requires:	docbook-style-xsl
Requires:	ghostscript
Requires:	jadetex
Requires:	openjade
Requires:	ploticus
Requires:	tetex-dvips
Requires:	tetex-latex
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-buildroot

%description
Lire is the versatile log analyser. It can generate
useful reports from most of the network services you can find on the
typical internet server: email, dns, web, ftp, print services,
database, firewall, proxy, etc. More than 34 log formats are supported.

It can generate report in various output formats and can be easily
extended to support new log formats or add new reports.

It only includes the dependencies required for most of the output
formats (Text, HTML, Excel95). You need to install tetex-latex and
ghostscript packages to generate DVI, PS or PDF output formats.

%package -n	perl-%{name}
Summary:	A log analyser supporting many log formats
Group:		Development/Perl
#Requires:	perl-Curses-UI
#Requires:	perl-DBD-SQLite2 >= 0.33
#Requires:	perl-DB_File
#Requires:	perl-Spreadsheet-WriteExcel
#Requires:	perl-Time-modules
#Requires:	perl-XML-Parser
#Requires:	perl-libintl-perl

%description -n	perl-%{name}
Lire is the versatile log analyser. It can generate
useful reports from most of the network services you can find on the
typical internet server: email, dns, web, ftp, print services,
database, firewall, proxy, etc. More than 34 log formats are supported.

This package contains all the perl code for %{name}.

%package	docs
Summary:	Documentation for %{name}
Group:		System/Servers

%description	docs
Lire is the versatile log analyser. It can generate
useful reports from most of the network services you can find on the
typical internet server: email, dns, web, ftp, print services,
database, firewall, proxy, etc. More than 34 log formats are supported.

This package contains the documentation for %{name}.

%prep

%setup -q

mkdir -p mandrake
bzcat %{SOURCE10} > mandrake/bind.cfg
bzcat %{SOURCE11} > mandrake/cups.cfg
bzcat %{SOURCE12} > mandrake/httpd-perl.cfg
bzcat %{SOURCE13} > mandrake/httpd.cfg
bzcat %{SOURCE14} > mandrake/iptables.cfg
bzcat %{SOURCE15} > mandrake/mysql.cfg
bzcat %{SOURCE16} > mandrake/postfix.cfg
bzcat %{SOURCE17} > mandrake/postgresql.cfg
bzcat %{SOURCE18} > mandrake/proftpd.cfg
bzcat %{SOURCE19} > mandrake/spamassassin.cfg
bzcat %{SOURCE20} > mandrake/squid.cfg
bzcat %{SOURCE21} > mandrake/syslog.cfg

%build

export LYNX="%{_bindir}/lynx"
export SENDMAIL="%{_sbindir}/sendmail"
export TAI64NLOCAL="%{_bindir}/tai64nlocal"

%configure2_5x \
    --with-spooldir=/var/spool/%{name} \
    --with-archivedir=%{_localstatedir}/%{name} \
    --with-perl5libdir=%{perl_vendorlib}

%make

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%makeinstall_std

rm -fr %{buildroot}/%{_datadir}/doc/%{name}

# Remove fw1_lea2dlf which requires Date::Manip
#rm -f %{buildroto}/%{_libexecdir}/lire/convertors/fw1_lea2dlf

# Create directories
install -d %{buildroot}%{_sbindir}
install -d %{buildroot}%{_sysconfdir}/cron.d
install -d %{buildroot}%{_sysconfdir}/sysconfig/lire.d
install -d %{buildroot}%{_localstatedir}/%{name}
install -d %{buildroot}/var/spool/%{name}

# Install lr_vendor_cron script and crontab
install -m0750 all/script/lr_vendor_cron %{buildroot}%{_sbindir}/
install -m0644 %{SOURCE2} %{buildroot}%{_sysconfdir}/cron.d/%{name}

install -m0644 mandrake/*.cfg %{buildroot}%{_sysconfdir}/sysconfig/lire.d/

%pre
%_pre_useradd lire %{_localstatedir}/%{name} /bin/sh

%postun
%_postun_userdel lire

%clean 
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc README* AUTHORS INSTALL NEWS THANKS
%doc doc/BUGS doc/ChangeLog* doc/TODO

%config(noreplace) %{_sysconfdir}/cron.d/lire
%dir %{_sysconfdir}/sysconfig/lire.d
%config(noreplace) %{_sysconfdir}/sysconfig/lire.d/*.cfg
%{_sbindir}/lr_vendor_cron

%dir %attr(0775,root,lire) %{_sysconfdir}/%{name}
%dir %attr(0775,root,lire) %{_sysconfdir}/%{name}/config
%dir %attr(0775,root,lire) %{_sysconfdir}/%{name}/plugins
%dir %attr(0775,root,lire) %{_sysconfdir}/%{name}/converters
%config(noreplace) %{_sysconfdir}/%{name}/plugins/*

# These "configuration files" can be overidden with a .local
%{_sysconfdir}/%{name}/address.cf
%{_sysconfdir}/%{name}/defaults
%{_sysconfdir}/%{name}/disclaimer
%{_sysconfdir}/%{name}/explanation
%{_sysconfdir}/%{name}/profile_lean
%{_sysconfdir}/%{name}/signature

%{_bindir}/*
%{_libexecdir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/*
%{_mandir}/man7/*

%dir %attr(0770,lire,lire) /var/spool/%{name}
%dir %attr(0770,lire,lire) %{_localstatedir}/%{name}

# this is to please mr. lint some
%files -n perl-%{name}
%defattr(-,root,root)
%{perl_vendorlib}/Lire/*
%{perl_vendorlib}/LocaleData/*/LC_MESSAGES/*
%{_mandir}/man3/*

%files docs
%defattr(-,root,root)
%doc doc/user-manual doc/dev-manual doc/examples doc/*.pdf doc/*.txt

%changelog
* Thu Dec 02 2004 Oden Eriksson <oeriksson@mandrakesoft.com> 2.0.1-1mdk
- initial mandrake import

* Thu Oct 09 2004 Francis J. Lacoste <flacoste@logreport.org> 4:2.0.1-1
- New upstream release.
- Depends on perl-DBD-SQLite2.

* Fri Sep 03 2004 Francis J. Lacoste <flacoste@logreport.org> 4:2.0-1
- New upstream release.
- Removed all the DocBook dependencies.
- Removed the lire-html and lire-pdf package.

* Wed Jan 07 2004 Francis J. Lacoste <flacoste@logreport.org> 4:1.4.1-1
- New upstream release.
- Requires DBD::SQLite >= 0.29

* Sat Nov 15 2003 Francis J. Lacoste <flacoste@logreport.org> 4:1.4-1
- New upstream release.
- Added perl-DBD-SQLite and expat >= 1.95.6 (to fix segfault problems)
  dependencies. Upgraded libxslt dependenices to 1.0.10
- Requires perl 5.8.0 for bundled Digest::MD5.

* Sat May 17 2003 Francis J. Lacoste <flacoste@logreport.org> 4:1.3-1
- Upgraded to version 1.3
- Used bundled lr_vendor_cron
- Do not ship fw1_lea2dlf which requires Date::Manip.

* Sun Dec 28 2002 Francis J. Lacoste <flacoste@logreport.org> 4:1.2.1-2
- Don't stay in root's home directory in lr_vendor_cron.
- Add patches from upstream CVS to fix some bugs present in 1.2.1:
  Merging bug with timegroup operation. 
  Corrupted HTML email because of 'binary' encoding.
  Non-recursivity of load_schema()
  Ploticus always generate high quality charts.

* Tue Dec 03 2002 Francis J. Lacoste <flacoste@logreport.org> 4:1.2.1-1
- Rebuild for 1.2.1 release.
- Use Epoch instead of the old Serial tag.

* Fri Nov 29 2002 Francis J. Lacoste <flacoste@logrpeort.org> 4:1.2-1
- Rebuild for 1.2 release.
- Increase the serial to 4 (1.2rc -> 1.2) transition.
- Depends on tetex-dvips (instead of tetex-afm) because of missing dependencies
  in RedHat jadetex RPMS.

* Wed Nov 27 2002 Francis J. Lacoste <flacoste@logrpeort.org> 3:1.2rc2-3
- Support automatic spamassassin report on RH8.
- Need to include perl-Time-modules in the build requirements since otherwise
  the bundled module will be installed.
- Remove share/doc/lire directory in install to prevent complaints from
  rpm-checkfiles
- Turned off AutoReq to prevent perl(GD::...) dependencies.

* Tue Nov 26 2002 Francis J. Lacoste <flacoste@logreport.org> 3:1.2rc2-1
- Don't call useradd when the user is already created.
- Requires tetex-afm because jadetex doesn't requires it and will
  produce bogus PDF when it is missing.
- lr_vendor_cron machinery is always included.
- Do not remove the lire account on update.
- Added triggerpostun hook to fix the account removal in previous
  version of the package.
- Do not add the lire user to the adm group. This is unneeded now
  with lr_vendor_cron.
- Generate automatic reports for packages: apache, iptables, postfix,
  sendmail, squid, syslog and wu-ftpd.

* Sat Nov 24 2002 Francis J. Lacoste <flacoste@logreport.org> 1.2rc1-2>
- Depends on ploticus.
- Add use of Serial to handle transition from older RPMS and between 
  versioning.
- Do not wrap report configuration files in the MandrakeSoft conditional.

* Sat Nov 23 2002 Francis J. Lacoste <flacoste@logreport.org> 1.2rc1-1mdk
- Start update for new upstream release.

* Sun Sep 15 2002 Francis J. Lacoste <flacoste@logreport.org> 1.1-3mdk
- Fixed MandrakeSoft vendor test.
- Add lr_vendor_cron script which generate reports for supported 
  installed services.

* Tue Sep 10 2002 Francis J. Lacoste <flacoste@logreport.org> 1.1-2
- Made spec file compatible with RedHat 7.2 build environment.

* Mon Aug 19 2002 Francis J. Lacoste <flacoste@logreport.org> 1.1-1mdk
  - First Mandrake RPM
